@file:Suppress("MatchingDeclarationName")

package dev.adriankuta.flights.ui.home.navigation

import androidx.navigation.NavController
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import dev.adriankuta.flights.ui.home.StationsScreen
import kotlinx.serialization.Serializable

@Serializable
data object StationsRoute

fun NavController.navigateToStations(
    navOptions: NavOptions,
) {
    navigate(route = StationsRoute, navOptions = navOptions)
}

fun NavGraphBuilder.stationsScreen() {
    composable<StationsRoute> {
        StationsScreen()
    }
}
